Skip to content

GET Service API Endpoint PDF.

POST
/api/ml/data/namespaces/{namespace}/app_types/{app_type_name}/services/{service_name}/api_endpoint/pdf
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/services/example/api_endpoint/pdf \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "app_type_name": "example", "collapsed_url": "example", "method": "example", "namespace": "example", "service_name": "example" }'

GET PDF of all metrics for a given auto discovered API endpoint for Service.

Examples of this operation.

namespace
required
string

Namespace Namespace of the App type for current request.

app_type_name
required
string

App Type App Type for current request.

service_name
required
string

Service Identifies the destination service.

Media typeapplication/json
Service API endpoint PDF request

Shape of request to GET PDF for a given API endpoint.

object
app_type_name
App Type

App Type for current request.

string
<= 1024 characters
collapsed_url
Discovered API URL

API endpoint for which PDFs are requested.

string
<= 1024 characters
method
Method of current API URL

Method of API endpoint for which PDFs are requested.

string
<= 1024 characters
namespace
Namespace

Namespace of the App type for current request.

string
>= 6 characters <= 1024 characters
service_name
Service

Identifies the destination service.

string
<= 1024 characters
Examplegenerated
{
"app_type_name": "example",
"collapsed_url": "example",
"method": "example",
"namespace": "example",
"service_name": "example"
}

A successful response.

Media typeapplication/json
API endpoint PDF response

Shape of response to GET PDF for a given API endpoint.

object
pdf_info
object
creation_timestamp
creation_timestamp

Creation_timestamp represents the time when this PDF was created It is represented in RFC3339 form and is in UTC.

string format: date-time
<= 1024 characters
error_rate
PDF(error rate)

List of Probability density points for PDF for error rate.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
error_rate_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
latency_no_data
PDF(response latency to first byte)

List of Probability density points for PDF for latency of response begin.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
latency_no_data_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
latency_with_data
PDF(response latency)

List of Probability density points for PDF for latency of response end.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
latency_with_data_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
request_rate
PDF(request rate)

List of Probability density points for PDF for request rate.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
request_rate_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
request_size
PDF(request_size)

List of Probability density points for PDF for request size.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
request_size_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
response_size
PDF(response_size)

List of Probability density points for PDF for response size.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
response_size_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
response_throughput
PDF(response throughput)

List of Probability density points for PDF for response throughput.

Array<object>
Probability Density Point(x,y)

Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.

object
probability
Probability

Probability of given Value of the metric that can be plotted on y-axis.

number format: float
x
Metric Value

Value of the metric that can be plotted on x-axis.

number format: float
response_throughput_stat
object
pdf_95
PDF 95th Percentile

Pdf_95 represents the 95th percentile of PDF.

number format: float
pdf_mean
PDF Mean

Pdf_mean represents the mean of PDF.

number format: float
Examplegenerated
{
"pdf_info": {
"creation_timestamp": "2026-04-15T12:00:00Z",
"error_rate": [
{
"probability": 1,
"x": 1
}
],
"error_rate_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"latency_no_data": [
{
"probability": 1,
"x": 1
}
],
"latency_no_data_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"latency_with_data": [
{
"probability": 1,
"x": 1
}
],
"latency_with_data_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"request_rate": [
{
"probability": 1,
"x": 1
}
],
"request_rate_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"request_size": [
{
"probability": 1,
"x": 1
}
],
"request_size_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"response_size": [
{
"probability": 1,
"x": 1
}
],
"response_size_stat": {
"pdf_95": 1,
"pdf_mean": 1
},
"response_throughput": [
{
"probability": 1,
"x": 1
}
],
"response_throughput_stat": {
"pdf_95": 1,
"pdf_mean": 1
}
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example